Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.persister.collection
Class CollectionPropertyNames

    java.lang.Object
      org.hibernate.persister.collection.CollectionPropertyNames

    public class CollectionPropertyNames

extends Object

The names of all the collection properties.

Author:
  josh Dec 23, 2004 7:35:02 AM

Field Summary
`static String` | `COLLECTION_ELEMENTS`
`static String` | `COLLECTION_INDEX`
`static String` | `COLLECTION_INDICES`
`static String` | `COLLECTION_MAX_ELEMENT`
`static String` | `COLLECTION_MAX_INDEX`
`static String` | `COLLECTION_MIN_ELEMENT`
`static String` | `COLLECTION_MIN_INDEX`
`static String` | `COLLECTION_SIZE`

Constructor Summary
`CollectionPropertyNames()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COLLECTION_SIZE

    public static final String COLLECTION_SIZE

See Also:
  Constant Field Values

### COLLECTION_ELEMENTS

    public static final String COLLECTION_ELEMENTS

See Also:
  Constant Field Values

### COLLECTION_INDICES

    public static final String COLLECTION_INDICES

See Also:
  Constant Field Values

### COLLECTION_MAX_INDEX

    public static final String COLLECTION_MAX_INDEX

See Also:
  Constant Field Values

### COLLECTION_MIN_INDEX

    public static final String COLLECTION_MIN_INDEX

See Also:
  Constant Field Values

### COLLECTION_MAX_ELEMENT

    public static final String COLLECTION_MAX_ELEMENT

See Also:
  Constant Field Values

### COLLECTION_MIN_ELEMENT

    public static final String COLLECTION_MIN_ELEMENT

See Also:
  Constant Field Values

### COLLECTION_INDEX

    public static final String COLLECTION_INDEX

See Also:
  Constant Field Values

Constructor Detail

### CollectionPropertyNames

    public CollectionPropertyNames()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD